summaryrefslogtreecommitdiff
path: root/zaptel.init
diff options
context:
space:
mode:
authortzafrir <tzafrir@5390a7c7-147a-4af0-8ec9-7488f05a26cb>2007-07-16 13:10:19 +0000
committertzafrir <tzafrir@5390a7c7-147a-4af0-8ec9-7488f05a26cb>2007-07-16 13:10:19 +0000
commite2013f8a7f62b879b91b6b5386a04d0b413bb25d (patch)
treee7b8de9a8598a890d6c52920dae4dc7b4a700421 /zaptel.init
parent98312cb1e576232c921632f995ec25418a8c50d5 (diff)
Remove automatic call to ztcfg -s from init.d script. Do dynamic spans
need it? git-svn-id: http://svn.digium.com/svn/zaptel/branches/1.2@2739 5390a7c7-147a-4af0-8ec9-7488f05a26cb
Diffstat (limited to 'zaptel.init')
-rw-r--r--zaptel.init9
1 files changed, 8 insertions, 1 deletions
diff --git a/zaptel.init b/zaptel.init
index e067b4d..a0e5380 100644
--- a/zaptel.init
+++ b/zaptel.init
@@ -123,6 +123,13 @@ hpec_start() {
fi
}
+shutdown_dynamic() {
+ if ! grep -q ' ZTD/' /proc/* 2>/dev/null; then return; fi
+
+ # we should only get here if we have dynamic spans. Right?
+ $ZTCFG -s
+}
+
# Check that telephony is up.
[ "${TELEPHONY}" = "yes" ] || exit 0
@@ -193,7 +200,7 @@ case "$1" in
;;
stop)
# Unload drivers
- $ZTCFG -s
+ #shutdown_dynamic # FIXME: needs test from someone with dynamic spans
echo -n "Unloading zaptel hardware drivers:"
unload_module zaptel
RETVAL=$?